Skip to main content
PATCH
/
api
/
v1
/
participants
/
{id}
Update participant
curl --request PATCH \
  --url https://www.intervyo.ai/api/v1/participants/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "name": "<string>",
  "email": "<string>",
  "external_id": "<string>",
  "phone": "<string>",
  "tags": [
    "<string>"
  ],
  "status": "<string>",
  "profile": {},
  "background": {},
  "resume_url": "<string>",
  "evaluation_template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "pipeline_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "metadata": {}
}
'
{
  "error": "<string>",
  "issues": [
    {}
  ]
}

Authorizations

x-api-key
string
header
required

API key with the iv_live_ prefix. Create one under Developer → API Keys.

Path Parameters

id
string<uuid>
required

id identifier

Body

application/json
name
string

Full name

email
string

Email address

external_id
string

Your ATS / system ID

phone
string

Phone number

tags
string[]

Replace tag list

status
string

active | archived

profile
object

{ title?, organization?, experienceLevel?, location? }

background
object

{ skills?, education?, languages? }

resume_url
string<uri>

Resume link

evaluation_template_id
string<uuid>

Reassign to a different template

pipeline_id
string<uuid>

Move to a pipeline

metadata
object

Arbitrary key-value pairs

Response

Success

Last modified on June 3, 2026